# QStringArray

| Prop Name | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| delimiter | <p>Predefined Delimiters:  comma, dot, hash, hyphen</p><p><strong><code>delimiter.dot</code></strong></p><p><strong><code>delimiter.hash</code></strong></p><p>Custom Delimiter: must be defined in square brackets. Some examples:</p><p><strong><code>delimiter.\[and]</code></strong><code> word and is delimiter</code></p><p><strong><code>delimiter.\[break by]</code></strong><code> word break by is delimiter</code></p><p><strong><code>delimiter.\[']</code></strong><code> character single quote is delimiter</code></p> |

**Methods**

void addItem(String strValue)

String removeAt(int index)

boolean remove(String strValue)

String getItemAt(int index)

QStringArray getItems(String matchDataName,String prefix)

boolean contains(String strValue)

boolean containsWithStr(String contstr)

boolean endWithStr(String contstr)

boolean startsWith(String prefix)

boolean isSorted(String orderBy)

Integer getSize()

boolean isEmpty()

String toJson()

String toJson(Object keyName)

String\[] toStringArray()

String toString()

boolean doAssert(TFStepContext tfStepContext,String fieldName,QStringArray targetList)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/automation/objects/product-element/advanced-data-types/qstringarray.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
